import { SCIMMeta } from "./Meta";

export interface ISCIMResource {
    id: string;
    externalId: string;
    meta: SCIMMeta;
    schemas: Array<string>;
}

export interface ISCIMUserName {
    familyName?: string;
    givenName?: string;
}
export interface ISCIMUserEmail {
    value: string;
    primary: boolean;
}
export interface ISCIMListResponse {
    schemas: ["urn:ietf:params:scim:api:messages:2.0:ListResponse"];
    totalResults: 2;
    Resources: [
        {
            id: "2819c223-7f76-453a-919d-413861904646";
            userName: "bjensen";
        },
        {
            id: "c75ad752-64ae-4823-840d-ffa80929976c";
            userName: "jsmith";
        },
    ];
}

export interface ISCIMGroupMember {
    value: string;
    $ref: string;
    display: string;
    type?: "User" | "Group";
}
